import {
	inject,
	observer,
} from 'mobx-react'
import {
	toJS
} from 'mobx'
import {
	WeaTableNew
} from 'comsMobx'
const WeaTable = WeaTableNew.WeaTable;

@inject('hrmConExWarning')
@observer
export default class Table extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmConExWarning
		} = this.props, {
			table,
		} = hrmConExWarning, {
			tableStore
		} = table;

		return (
			<WeaTable ecId={`${this && this.props && this.props.ecId || ''}_WeaTable@o4tj22`} 
				comsWeaTableStore={tableStore}
				hasOrder={true}
				needScroll={false}
				pagination={true}
			/>
		)

	}
}